org.icefaces.ace.component.column

## Class ColumnTag

- java.lang.Object
- - javax.faces.webapp.UIComponentTagBase
  - - javax.faces.webapp.UIComponentClassicTagBase
    - - javax.faces.webapp.UIComponentELTag
      - - org.icefaces.ace.component.column.ColumnTag

- All Implemented Interfaces:
    javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspIdConsumer, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

      public class ColumnTag
      extends javax.faces.webapp.UIComponentELTag

- - ### Field Summary

    - ### Fields inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `bodyContent, pageContext, UNIQUE_ID_PREFIX`

    - ### Fields inherited from class javax.faces.webapp.UIComponentTagBase

      `log`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.Tag

      `EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.BodyTag

      `EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

      `EVAL_BODY_AGAIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ColumnTag()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `doEndTag()`
    `int` | `doStartTag()`
    `java.lang.String` | `getComponentType()`
    `java.lang.String` | `getRendererType()`
    `void` | `release()` Release any allocated tag handler attributes.
    `void` | `setBinding(javax.el.ValueExpression binding)`
    `void` | `setColspan(javax.el.ValueExpression colspan)`
    `void` | `setConfigurable(javax.el.ValueExpression configurable)`
    `void` | `setFilterBy(javax.el.ValueExpression filterBy)`
    `void` | `setFilterMatchMode(javax.el.ValueExpression filterMatchMode)`
    `void` | `setFilterOptions(javax.el.ValueExpression filterOptions)`
    `void` | `setFilterStyle(javax.el.ValueExpression filterStyle)`
    `void` | `setFilterStyleClass(javax.el.ValueExpression filterStyleClass)`
    `void` | `setFilterValue(javax.el.ValueExpression filterValue)`
    `void` | `setFilterValues(javax.el.ValueExpression filterValues)`
    `void` | `setFooterText(javax.el.ValueExpression footerText)`
    `void` | `setGroupBy(javax.el.ValueExpression groupBy)`
    `void` | `setHeaderText(javax.el.ValueExpression headerText)`
    `void` | `setHideSortControls(javax.el.ValueExpression hideSortControls)`
    `void` | `setId(javax.el.ValueExpression id)`
    `void` | `setLazyColumnKey(javax.el.ValueExpression lazyColumnKey)`
    `void` | `setPinningOrder(javax.el.ValueExpression pinningOrder)`
    `protected void` | `setProperties(javax.faces.component.UIComponent component)`
    `void` | `setRendered(javax.el.ValueExpression rendered)`
    `void` | `setReorderable(javax.el.ValueExpression reorderable)`
    `void` | `setRowspan(javax.el.ValueExpression rowspan)`
    `void` | `setSelectBy(javax.el.ValueExpression selectBy)`
    `void` | `setSortAscending(javax.el.ValueExpression sortAscending)`
    `void` | `setSortBy(javax.el.ValueExpression sortBy)`
    `void` | `setSortFunction(javax.el.ValueExpression sortFunction)`
    `void` | `setSortPriority(javax.el.ValueExpression sortPriority)`
    `void` | `setSortWhenGrouping(javax.el.ValueExpression sortWhenGrouping)`
    `void` | `setStacked(javax.el.ValueExpression stacked)`
    `void` | `setStyle(javax.el.ValueExpression style)`
    `void` | `setStyleClass(javax.el.ValueExpression styleClass)`

    - ### Methods inherited from class javax.faces.webapp.UIComponentELTag

      `createComponent, getELContext, hasBinding`

    - ### Methods inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `addChild, addFacet, addVerbatimAfterComponent, addVerbatimBeforeComponent, createVerbatimComponent, createVerbatimComponentFromBodyContent, doAfterBody, doInitBody, encodeBegin, encodeChildren, encodeEnd, findComponent, getBodyContent, getComponentInstance, getCreated, getCreatedComponents, getDoAfterBodyValue, getDoEndValue, getDoStartValue, getFacesContext, getFacesJspId, getFacetName, getId, getIndexOfNextChildTag, getJspId, getParent, getParentUIComponentClassicTagBase, getPreviousOut, setBodyContent, setId, setJspId, setPageContext, setParent, setupResponseWriter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.jsp.tagext.Tag

      `getParent, setPageContext, setParent`

- - ### Constructor Detail

    - #### ColumnTag

          public ColumnTag()

  - ### Method Detail

    - #### getRendererType

          public java.lang.String getRendererType()

      Specified by:
        `getRendererType` in class `javax.faces.webapp.UIComponentTagBase`

    - #### getComponentType

          public java.lang.String getComponentType()

      Specified by:
        `getComponentType` in class `javax.faces.webapp.UIComponentTagBase`

    - #### setBinding

          public void setBinding(javax.el.ValueExpression binding)

      Overrides:
        `setBinding` in class `javax.faces.webapp.UIComponentELTag`

    - #### setColspan

          public void setColspan(javax.el.ValueExpression colspan)

    - #### setConfigurable

          public void setConfigurable(javax.el.ValueExpression configurable)

    - #### setFilterBy

          public void setFilterBy(javax.el.ValueExpression filterBy)

    - #### setFilterMatchMode

          public void setFilterMatchMode(javax.el.ValueExpression filterMatchMode)

    - #### setFilterOptions

          public void setFilterOptions(javax.el.ValueExpression filterOptions)

    - #### setFilterStyle

          public void setFilterStyle(javax.el.ValueExpression filterStyle)

    - #### setFilterStyleClass

          public void setFilterStyleClass(javax.el.ValueExpression filterStyleClass)

    - #### setFilterValue

          public void setFilterValue(javax.el.ValueExpression filterValue)

    - #### setFilterValues

          public void setFilterValues(javax.el.ValueExpression filterValues)

    - #### setFooterText

          public void setFooterText(javax.el.ValueExpression footerText)

    - #### setGroupBy

          public void setGroupBy(javax.el.ValueExpression groupBy)

    - #### setHeaderText

          public void setHeaderText(javax.el.ValueExpression headerText)

    - #### setHideSortControls

          public void setHideSortControls(javax.el.ValueExpression hideSortControls)

    - #### setId

          public void setId(javax.el.ValueExpression id)

    - #### setLazyColumnKey

          public void setLazyColumnKey(javax.el.ValueExpression lazyColumnKey)

    - #### setPinningOrder

          public void setPinningOrder(javax.el.ValueExpression pinningOrder)

    - #### setRendered

          public void setRendered(javax.el.ValueExpression rendered)

      Overrides:
        `setRendered` in class `javax.faces.webapp.UIComponentELTag`

    - #### setReorderable

          public void setReorderable(javax.el.ValueExpression reorderable)

    - #### setRowspan

          public void setRowspan(javax.el.ValueExpression rowspan)

    - #### setSelectBy

          public void setSelectBy(javax.el.ValueExpression selectBy)

    - #### setSortAscending

          public void setSortAscending(javax.el.ValueExpression sortAscending)

    - #### setSortBy

          public void setSortBy(javax.el.ValueExpression sortBy)

    - #### setSortFunction

          public void setSortFunction(javax.el.ValueExpression sortFunction)

    - #### setSortPriority

          public void setSortPriority(javax.el.ValueExpression sortPriority)

    - #### setSortWhenGrouping

          public void setSortWhenGrouping(javax.el.ValueExpression sortWhenGrouping)

    - #### setStacked

          public void setStacked(javax.el.ValueExpression stacked)

    - #### setStyle

          public void setStyle(javax.el.ValueExpression style)

    - #### setStyleClass

          public void setStyleClass(javax.el.ValueExpression styleClass)

    - #### setProperties

          protected void setProperties(javax.faces.component.UIComponent component)

      Overrides:
        `setProperties` in class `javax.faces.webapp.UIComponentELTag`

    - #### doStartTag

          public int doStartTag()
                         throws javax.servlet.jsp.JspException

      Specified by:
        `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
      Overrides:
        `doStartTag` in class `javax.faces.webapp.UIComponentClassicTagBase`
      Throws:
        `javax.servlet.jsp.JspException`

    - #### doEndTag

          public int doEndTag()
                       throws javax.servlet.jsp.JspException

      Specified by:
        `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
      Overrides:
        `doEndTag` in class `javax.faces.webapp.UIComponentClassicTagBase`
      Throws:
        `javax.servlet.jsp.JspException`

    - #### release

          public void release()

      Release any allocated tag handler attributes.

      Specified by:
        `release` in interface `javax.servlet.jsp.tagext.Tag`
      Overrides:
        `release` in class `javax.faces.webapp.UIComponentELTag`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.